@tailwind preflight;
@tailwind components;
@tailwind utilities;

@import "assets/scss/grid";
@import url('https://fonts.googleapis.com/css?family=Lato:400,700|Raleway:300,400,500,700');
//@import "~Dante2/dist/DanteStyles.css"; //TODO

body {
    //padding-top: 80px;
    margin-bottom: 3rem;
    font-family: 'Lato', sans-serif;
    &.scrolled {
        //padding-top: 40px;
    }
}

a {
    text-decoration: none;
}

.navbar {
    @apply flex items-center justify-between flex-wrap p-6 shadow fixed w-full z-50 pin-t;
    transition: padding .2s ease-in-out;
    &.scrolled {
        @apply py-3;
    }
    .navbar-brand {
        @apply flex items-center flex-no-shrink mr-6;
        .navbar-logo {
            @apply fill-current h-8 w-8 mr-2;
        }
        .navbar-title {
            @apply font-semibold text-xl tracking-tight;
        }
    }
    a {
        color: inherit;
    }
    .socials {
        @apply list-reset flex;
        li {
            a {
                @apply .px-2;
                svg {
                    position: static;
                    display: block;
                    margin: auto;
                    width: 2em;
                    height: 1em;
                    fill: currentColor;
                }
            }
        }
    }
}

.full-image-wrapper {
    height: 50vh;
    @screen md {
        height: 100vh;
    }
    background: no-repeat fixed center;
    background-size: cover;
    @apply relative;
    .overflow {
        @apply absolute pin-t pin-l pin-r w-full h-full;
        background: rgba(255,255,255,.7);
    }
}

.section-title {
    @apply py-6 text-4xl pb-8;
    @screen sm {
        @apply text-4xl;
    }
}

.card.card {
    @apply overflow-hidden shadow-lg m-2 bg-indigo-dark .text-white;
    background: #38a89d;
    opacity: 0;
    //opacity: 1;
    &.visible {
        animation: card-entrance .5s linear forwards;
    }
    a {
        text-decoration: none;
        color: inherit;
        &:hover {
            text-decoration: underline;
        }
    }
    p {
        color: inherit;
        font-family: 'Raleway', sans-serif;
    }
}

.logo {
    @apply w-1/3 p-6 flex items-center justify-center relative overflow-hidden;
    @screen lg {
        width: 20%;
    }
    @screen xl {
        width: 15%;
    }
    min-height: 5rem;
    > span {
        width: 100%;
       @apply text-center;
        svg {
            width: 100%;
            max-width: 6rem;
            filter: drop-shadow(0 3px 3px rgba(0, 0, 0, .21));
        }
    }
    &.logo-lg {
        @apply w-full;
        @screen sm {
            width: auto;
        }
        > span {
            svg {
                max-width: none;
            }
        }
    }
    .overlay {
        @apply absolute pin-t pin-l w-full h-full z-50 p-6 text-center;
        //background: rgba(#38a89d, .85);
        //transform: translateY(100%);
        transition: .3s ease-in;
        transition-delay: .3s;
        opacity: 0;
        h5 {
            @apply text-center p-3 pt-0 text-xl;
        }
        a {
            @apply absolute pin-b pin-l pin-r block pb-2 text-center;
            text-decoration: none;
            color: inherit;
            margin: auto;
            &:hover {
                text-decoration: underline;
            }
        }
    }
    &:hover {
        .overlay {
            //transform: translateY(0);
            opacity: 1;
        }
    }
    &:after {
        //content: '';
        position: absolute;
        width: 200%;
        height: 150%;
        background: rgba(#38a89d, .85);
        top: 100%;
        left: -200%;
        transition: .3s ease-in;
        transform: rotate(-45deg);
        transform-origin: 20% 80%;
    }
    &:hover {
        &:after {
            //content: '';
            top: 0;
            left: 0;
        }
    }
}

.footer {
    @apply fixed pin-b pin-l w-full bg-blue-lightest text-center flex items-center justify-center;
    z-index: -1;
    height: 3rem;
}

canvas {
    //cursor: crosshair;
    //width: 100%;
    //height: 100%;
}

.footer-stars {
    @apply .absolute .pin-t .pin-l .overflow-hidden .h-full;
    z-index: -1;
}

#overlay {
    @apply fixed pin-t pin-l w-full h-full flex items-center justify-center;
    z-index: 101010;
    background: black;
    transition: all .5s ease-out;
    .text {
        @apply p-0 border-0 relative;
        list-style: none;
        li {
            @apply inline-block text-white opacity-100;
            float: left;
            font-weight: 700;
            font-size: 2em;
            transition: all 1s ease-in-out;
            max-width: 2em;
            &.spaced {
                padding-left: 0.5em;
            }
        }
        &.hide {
            @apply border-b;
            li {
                &.spaced {
                    @apply pl-0;
                }
                &.ghost {
                    @apply opacity-0;
                    max-width: 0;
                }
            }
        }
    }
    &.faded {
        opacity: 0;
        z-index: -2;
        .text {
            transform: translate(-100vw, -100vh);
            li {
                color: transparent;
            }
        }
    }
}

@keyframes card-entrance {
    from {
        opacity: 0;
        transform: translateY(8rem);
    }
    to {
        opacity: 1;
        transform : translateY(0);
    }
}


.portfolio-page {
    position: relative;
    z-index: 1;
    a.featured-wrapper {
        @apply .block .w-full .h-full;
    }
    .featured {
        @apply w-full  overflow-hidden relative;
        height: 50vh;
        &:after {
            content: '';
            box-shadow: inset 0 -50px 50px -60px rgba(255,255,255,.75),
            inset 0 -140px 90px -90px rgba(255, 255, 255, .75),
            inset 0 -150px 220px -120px rgba(255, 255, 255, .75),
            inset 0 -190px 240px -150px rgba(255, 255, 255, .75),
            inset 0 -350px 290px -210px rgba(255, 255, 255, .75);
            opacity: 1;
            width: 100%;
            height: 100%;
            display: block;
            position: relative;
            transition: transform .5s ease-in-out;
            transition-delay: .2s;
        }
        img {
            @apply min-w-full min-h-full absolute;
            max-width: none;
            left: 50%;
            top: 50%;
            transform: translateY(-50%) translateX(-50%);
            z-index: -1;
            object-fit: cover;
        }
        @screen md {
            @apply h-screen;
        }
        @screen xxl {
            height: 80vh;
        }
        h1 {
            @apply absolute pin-b p-6 text-teal-darker;
            transition: .5s ease-in-out;
            transition-delay: .2s;
            z-index: 2;
        }
        &:hover {
            h1 {
                //text-shadow: 0 0 25px rgba(255,255,255,0.75);
                opacity: .3;
            }
            &:after {
                //opacity: 0;
                transform: translateY(70px);
            }
        }
    }
    .main {
        min-height: 500px;
        @apply bg-white leading-loose text-lg;
    }
    .next-prev {
        @apply p-4;
        .content-wrapper {
            @apply relative w-full overflow-hidden h-64;
            z-index: 1;
            img {
                @apply min-w-full min-h-full absolute;
                //max-width: none;
                left: 50%;
                top: 50%;
                transform: translateY(-50%) translateX(-50%);
                z-index: -1;
                opacity: .7;
                filter: brightness(50%);
                transition: .3s ease-in-out;
                transition-delay: .2s;
            }
            .content {
                @apply absolute pin-b p-3 flex justify-between w-full text-white tracking-wide;
                svg {
                    position: relative;
                    fill: currentColor;
                }
            }
        }
        &.prev {
            .content-wrapper {
                .content {
                    svg {
                        transform: rotate(180deg);
                    }
                }
            }
        }
        &:hover {
            .content-wrapper {
                img {
                    filter: brightness(90%);
                    transform: translateY(-50%) translateX(-50%) scale(1.1);
                }
            }
        }
    }
}

.page-loading {
    @apply w-screen h-screen flex justify-center items-center;
    &.section {
        @apply .w-full .h-full;
        min-height: 300px;
    }
}

#content-wrapper {
    @apply .py-6;
    p {
        @apply mb-6;
    }
}

.social-share {
    @apply .list-reset .flex .p-0 .mt-0 justify-center;
    @screen md {
        @apply .fixed .pin-l .flex-col;
        z-index: 9999;
        top: 50%;
        transform: translateY(-50%) translateX(-100%);
        transition: transform .2s ease-in-out;
        &.visible {
            transform: translateY(-50%);
        }
    }
    li {
        a {
            @apply .flex .border-2 .border-teal-darker .text-teal-darker .text-xl .p-3 .mb-2 .ml-1;
            &:hover {
                @apply .border-teal .text-teal;
            }
            svg {
                position: static;
                display: block;
                margin: auto;
                width: 1em;
                height: 1em;
                fill: currentColor;
            }
        }
    }
}

.hp-title {
    @apply .absolute .text-white .text-center .text-2xl;
    z-index: 100;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.vertical {
    @apply absolute tracking-wide;
    transform: rotate(-90deg);
    left: 1rem;
    top: 2.5rem;
}

.about-section {
    min-height: 15rem;
}

.about-quote {
    @apply relative text-white text-base leading-normal;
    .vertical {
        left: 0;
        top: 3.5rem;
    }
    p {
        @apply leading-normal;
        font-family: 'Raleway', sans-serif;
    }
}

.collision-canvas {
    @apply absolute pin-t pin-r h-full;
    opacity: .3;
}

.skillz {
    display: block;
    width: 200px;
    height: 200px;
    perspective: 550px;
    transform-style: preserve-3d;
    transform: rotate3d(1, 0, 0, 90deg);
    > span {
        transform: translateZ(50px);
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        height: 100%;
        position: absolute;
        backface-visibility: inherit;
        font-size: 60px;
        color: #fff;
    }
}